<?php

namespace Plugins\Sms\Contracts;

interface SmsDriverInterface
{
    public function send(string $text, array $to): Response;

    public function getEndpoint(): string;

    public function setData(array $data);

    public function shouldSendByPattern(array $settings): bool;
}
